<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-331"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FGeneral%2Fsubclass%2FXHXSet.m%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/subclass/XHXSet.m 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_3d53dd88e59abdcd55a12c7e475393fb.html">General</a></li><li class="navelem"><a class="el" href="dir_43905a46580283783eeeef9943a9dee2.html">subclass</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">XHXSet.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_set_8m.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  XHXSet.m</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  KKLOnLine</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by 怒煮西兰花 on 2018/7/31.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//  Copyright &copy; 2018年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&nbsp; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&nbsp;<span class="preprocessor">#import &#34;<a class="code" href="_x_h_x_set_8h.html">XHXSet.h</a>&#34;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="category_x_h_x_set_07_08.html">   10</a></span>&nbsp;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_set.html">XHXSet</a>()</div>
<div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="category_x_h_x_set_07_08.html#a04ca50a487114f6ef755d130b322ac02">   11</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic,assign)NSUInteger tempCount;</div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="interface_x_h_x_set.html#a3c38779ed4af32ef379f933d4b4e4f11">   12</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic,strong)NSMutableSet *mutableSet;</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&nbsp;<span class="keyword">@end</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&nbsp;<span class="keyword">@implementation </span><a class="code" href="interface_x_h_x_set.html">XHXSet</a></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&nbsp;- (instancetype)<a class="code" href="interface_x_h_x_set.html#a5c4d8dcc9f47a0ee4be5edac079d98e7">init</a>{</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&nbsp;    <span class="keywordflow">if</span> (<span class="keyword">self</span> = [super <a class="code" href="interface_x_h_x_set.html#a5c4d8dcc9f47a0ee4be5edac079d98e7">init</a>]) {</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&nbsp;        <span class="keyword">self</span>.mutableSet = [NSMutableSet set];</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&nbsp;    }</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&nbsp;    <span class="keywordflow">return</span> <span class="keyword">self</span>;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&nbsp;}</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&nbsp;+ (instancetype)<a class="code" href="interface_x_h_x_set.html#a3c38779ed4af32ef379f933d4b4e4f11">set</a>{</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&nbsp;    <span class="keywordflow">return</span> [[<span class="keyword">self</span> alloc] init];</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&nbsp;}</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&nbsp;- (NSUInteger)<a class="code" href="interface_x_h_x_set.html#acd77d0025a6a579fcb888644a39ae432">count</a>{</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&nbsp;    <span class="keywordflow">return</span> <span class="keyword">self</span>.mutableSet.count;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&nbsp;}</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&nbsp;- (BOOL)safetyAddObject:(<span class="keywordtype">id</span>)object{</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&nbsp;    <span class="keywordflow">if</span> (!<span class="keywordtype">object</span>) <span class="keywordflow">return</span> NO;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&nbsp;    <span class="keyword">self</span>.tempCount = <span class="keyword">self</span>.mutableSet.count;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&nbsp;    [<span class="keyword">self</span>.mutableSet addObject:object];</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&nbsp;    <span class="keywordflow">return</span> <span class="keyword">self</span>.tempCount &lt; <span class="keyword">self</span>.mutableSet.count;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&nbsp;}</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&nbsp;<span class="keyword">@end</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&nbsp; </div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_x_h_x_set_html_acd77d0025a6a579fcb888644a39ae432"><div class="ttname"><a href="interface_x_h_x_set.html#acd77d0025a6a579fcb888644a39ae432">XHXSet::count</a></div><div class="ttdeci">NSUInteger count</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_set_8h_source.html#l00012">XHXSet.h:12</a></div></div>
<div class="ttc" id="ainterface_x_h_x_set_html_a3c38779ed4af32ef379f933d4b4e4f11"><div class="ttname"><a href="interface_x_h_x_set.html#a3c38779ed4af32ef379f933d4b4e4f11">+[XHXSet set]</a></div><div class="ttdeci">instancetype set()</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_set_8m_source.html#l00012">XHXSet.m:21</a></div></div>
<div class="ttc" id="ainterface_x_h_x_set_html_a5c4d8dcc9f47a0ee4be5edac079d98e7"><div class="ttname"><a href="interface_x_h_x_set.html#a5c4d8dcc9f47a0ee4be5edac079d98e7">-[XHXSet init]</a></div><div class="ttdeci">instancetype init()</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_set_8m_source.html#l00012">XHXSet.m:15</a></div></div>
<div class="ttc" id="a_x_h_x_set_8h_html"><div class="ttname"><a href="_x_h_x_set_8h.html">XHXSet.h</a></div></div>
<div class="ttc" id="ainterface_x_h_x_set_html"><div class="ttname"><a href="interface_x_h_x_set.html">XHXSet</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_set_8h_source.html#l00011">XHXSet.h:12</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
制作者&nbsp;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>


</body></html>